- Qt 5.15
- Qt 3D
- C++ Classes
- QChannelMapping
- Qt 5.15.11 Reference Documentation

# QChannelMapping Class

class Qt3DAnimation::QChannelMapping

Allows to map the channels within the clip onto properties of objects in the application. More...

Header: | #include <QChannelMapping>
qmake: | QT += 3danimation
Inherits: | Qt3DAnimation::QAbstractChannelMapping

- List of all members, including inherited members

## Public Functions

QString | channelName() const
QString | property() const
Qt3DCore::QNode * | target() const

## Public Slots

void | setChannelName(const QString &channelName)
void | setProperty(const QString &property)
void | setTarget(Qt3DCore::QNode *target)

## Signals

void | channelNameChanged(QString channelName)
void | propertyChanged(QString property)
void | targetChanged(Qt3DCore::QNode *target)

## Detailed Description